local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local TECH = GLOBAL.TECH

GLOBAL.STRINGS.NAMES.FIRESWORD = "Fire Sword"
GLOBAL.STRINGS.RECIPE_DESC.FIRESWORD = "Burn everything!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FIRESWORD = "So awesome 0,0"

GLOBAL.STRINGS.NAMES.FIREARMOR = "Fire Armor"
GLOBAL.STRINGS.RECIPE_DESC.FIREARMOR = "Makes you look like a fire warrior!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FIREARMOR = "So heavy T T"

GLOBAL.STRINGS.NAMES.FIREHELM = "Fire Helmet"
GLOBAL.STRINGS.RECIPE_DESC.FIREHELM = "Now you are the king of fire!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FIREHELM = "So warm =w="


PrefabFiles = {
	"firesword",
	"firearmor",
	"firehelm",
}

local function load()


local firesword = GLOBAL.Recipe("firesword", { Ingredient("goldnugget", 10), Ingredient("hammer", 1), Ingredient("redgem", 2), }, RECIPETABS.MAGIC,  TECH.MAGIC_THREE)
firesword.atlas = "images/inventoryimages/firesword.xml"

local firearmor = GLOBAL.Recipe("firearmor", { Ingredient("goldnugget", 10), Ingredient("hammer", 1), Ingredient("redgem", 2), }, RECIPETABS.MAGIC,  TECH.MAGIC_THREE)
firearmor.atlas = "images/inventoryimages/firearmor.xml"

local firehelm= GLOBAL.Recipe("firehelm", { Ingredient("goldnugget", 10), Ingredient("hammer", 1), Ingredient("redgem", 2), }, RECIPETABS.MAGIC,  TECH.MAGIC_THREE)
firehelm.atlas = "images/inventoryimages/firehelm.xml"
end
AddGamePostInit(load)


local function goldnuggetFUELPrefabPostInit(inst) 
inst:AddComponent("fuel")
    inst.components.fuel.fueltype = "GEMFUEL"
    inst.components.fuel.fuelvalue = 240
end
AddPrefabPostInit("goldnugget", goldnuggetFUELPrefabPostInit)
    
local function redgemfuelPrefabPostInit(inst) 
inst:AddComponent("fuel")
    inst.components.fuel.fueltype = "GEMFUEL"
    inst.components.fuel.fuelvalue =  480*4
end
AddPrefabPostInit("redgem", redgemfuelPrefabPostInit)
